当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu 安装 jdk-6u5-linux-i586-rpm.bin
帖子发表于 : 2008-04-01 9:45 

注册: 2008-04-01 9:40
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
root@gw-laptop:/usr/local# sudo chmod +x jdk-6u5-linux-i586-rpm.bin
root@gw-laptop:/usr/local# sudo ./jdk-6u5-linux-i586-rpm.bin




Unpacking...
Checksumming...
Extracting...
UnZipSFX 5.50 of 17 February 2002, by Info-ZIP (Zip-Bugs@lists.wku.edu).
replace jdk-6u5-linux-i586.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: jdk-6u5-linux-i586.rpm
replace sun-javadb-common-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-common-10.3.1-4.1.i386.rpm
replace sun-javadb-core-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-core-10.3.1-4.1.i386.rpm
replace sun-javadb-client-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-client-10.3.1-4.1.i386.rpm
replace sun-javadb-demo-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-demo-10.3.1-4.1.i386.rpm
replace sun-javadb-docs-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-docs-10.3.1-4.1.i386.rpm
replace sun-javadb-javadoc-10.3.1-4.1.i386.rpm? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
inflating: sun-javadb-javadoc-10.3.1-4.1.i386.rpm
error: Failed dependencies:
/bin/basename is needed by jdk-1.6.0_05-fcs.i586
/bin/cat is needed by jdk-1.6.0_05-fcs.i586
/bin/cp is needed by jdk-1.6.0_05-fcs.i586
/bin/gawk is needed by jdk-1.6.0_05-fcs.i586
/bin/grep is needed by jdk-1.6.0_05-fcs.i586
/bin/ln is needed by jdk-1.6.0_05-fcs.i586
/bin/ls is needed by jdk-1.6.0_05-fcs.i586
/bin/mkdir is needed by jdk-1.6.0_05-fcs.i586
/bin/mv is needed by jdk-1.6.0_05-fcs.i586
/bin/pwd is needed by jdk-1.6.0_05-fcs.i586
/bin/rm is needed by jdk-1.6.0_05-fcs.i586
/bin/sed is needed by jdk-1.6.0_05-fcs.i586
/bin/sort is needed by jdk-1.6.0_05-fcs.i586
/bin/touch is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/cut is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/dirname is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/expr is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/find is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/tail is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/tr is needed by jdk-1.6.0_05-fcs.i586
/usr/bin/wc is needed by jdk-1.6.0_05-fcs.i586
/bin/sh is needed by jdk-1.6.0_05-fcs.i586
Installing JavaDB
error: Failed dependencies:
/bin/sh is needed by sun-javadb-core-10.3.1-4.1.i386

Done.

我在redhat 下可以得阿


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-04 23:55 

注册: 2007-04-25 11:49
帖子: 393
送出感谢: 0 次
接收感谢: 0 次
引用:
/bin/sh is needed by sun-javadb-core-10.3.1-4.1.i386


建立一个/bin/sh的连接呢?连到一个shell上,bash dash应该都差不多吧,不行就换个sh再试试看。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-05 0:52 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
下错了,这个是rpm包,ubuntu下安装jdk6,直接到新立得安装。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译